Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.util
Class DiagramXmlSupport

    java.lang.Object
      biouml.model.util.DiagramXmlConstants
          biouml.model.util.DiagramXmlSupport

Direct Known Subclasses:
  DiagramXmlReader, DiagramXmlWriter

public class DiagramXmlSupport
extends DiagramXmlConstants

Field Summary
`protected Diagram` | `diagram`
`protected java.io.File` | `file`
`protected static org.apache.log4j.Category` | `log`
`protected static MessageBundle` | `resources`

Fields inherited from class biouml.model.util.DiagramXmlConstants
`AFTER_ATTR, AFTER_ELEMENT, APPVERSION_ATTR, ASSIGNMENT_ELEMENT, BACKGROUND_COLOR_ATTR, BACKGROUND_VISIBLE_ATTR, BOUNDARY_CONDITION_ATTR, COLOR_ATTR, COMMENT_ATTR, COMPARTMENT_ELEMENT, COMPARTMENT_INFO_ELEMENT, COMPLETION_TIME_ATTR, DELAY_ATTR, DELAY_UNIT_ATTR, DIAGRAM_ELEMENT, DIAGRAM_ELEMENT_ATTR, DIAGRAM_INFO_ATTR, DIAGRAM_INFO_ELEMENT, DIAGRAM_TYPE_ATTR, DML_ELEMENT, EDGE_ELEMENT, EDGES_ELEMENT, EQUATION_ELEMENT, EQUATION_TYPE_ATTR, EQUIVALENTNODEGROUP_ELEMENT, EVENT_ELEMENT, EXECUTABLE_MODEL_ELEMENT, FORMULA_ATTR, HEIGHT_ATTR, HIDE_TITLE_ATTTR, ID_ATTR, IMAGE_ELEMENT, IN_REF_ATTR, INITIAL_TIME_ATTR, INITIAL_VALUE_ATTR, INPORT_ATTR, KERNEL_REF_ATTR, KERNEL_TYPE_ATTR, MODEL_CLASS_ATTR, NAME_ATTR, NODE_ELEMENT, NODES_ELEMENT, ON_EVENT_ELEMENT, OUT_REF_ATTR, OUTPORT_ATTR, PARAMETER_ELEMENT, PLOT_LINE_SPEC_ATTR, REPRESENTATIVE_ATTR, SHAPE_ATTR, SHOW_IN_PLOT_ATTR, SRC_ATTR, STATE_ELEMENT, STATE_ENTRY_ELEMENT, STATE_EXIT_ELEMENT, STATE_ON_EVENT_ELEMENT, STUB, TITLE_ATTR, TRANSITION_ELEMENT, TRIGGER_ATTR, UNITS_ATTR, UNKNOWN_VALUE, VALUE_ATTR, VARIABLE_ATTR, VARIABLE_ELEMENT, VERSION_ATTR, WHEN_ELEMENT, WIDTH_ATTR, X_ATTR, Y_ATTR`

Constructor Summary
`DiagramXmlSupport(java.io.File file)`

Method Summary
`protected static void` | `error(java.lang.String messageBundleKey, java.lang.String[] params)`
`protected static void` | `error(java.lang.String messageBundleKey, java.lang.String[] params, java.lang.Throwable t)`
`org.w3c.dom.Element` | `getElement(org.w3c.dom.Element element, java.lang.String childName)`
`protected static void` | `warn(java.lang.String messageBundleKey, java.lang.String[] params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.log4j.Category log

### resources

    protected static MessageBundle resources

### file

    protected java.io.File file

### diagram

    protected Diagram diagram

Constructor Detail

### DiagramXmlSupport

    public DiagramXmlSupport(java.io.File file)

Method Detail

### error

    protected static void error(java.lang.String messageBundleKey,
                                java.lang.String[] params)

### error

    protected static void error(java.lang.String messageBundleKey,
                                java.lang.String[] params,
                                java.lang.Throwable t)

### warn

    protected static void warn(java.lang.String messageBundleKey,
                               java.lang.String[] params)

### getElement

    public org.w3c.dom.Element getElement(org.w3c.dom.Element element,
                                          java.lang.String childName)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.